Set Order Date
Set Date for one or all active orders from a shipper to a future date. Past dates are not allowed except for yesterday
Authentication
AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"
Headers
transId
Unique transaction ID for debugging and tracking.
transactionSrc
Identifies the client/source application that is calling.
X-BusinessGUID
Unique business GUID.
X-ClientId
Unique client Id.
Query parameters
shipper_account_number
Unique shipper number. Required for all updates.
order_number
Unique order number. Required for individual order updates.
old_date
The current date of the shipment(s). Defaults to today if not provided. Required for moving all open shipments to a new date.
language
The language/culture that is being used for the API
Request
Container for the order details to be moved to another day. if newDate value is not provided, it Defaults to today + 1.
op
Allowed values:
path
the field whose value is to be changed
value
new value to insert into the defined field
Response headers
BkndTransId
The backend transaction id.
transId
An identifier unique to the request.
transactionSrc
Identifies the client/source application that is calling.
Content-Type
The Content-Type header provides the client with the actual content/media type of the returned content.
X-BusinessGUID
Unique business GUID.
X-ClientId
Unique client Id.
Response
OK
response
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error